---
title: "Create org general brand resource"
url: "https://docs.signnow.com/docs/organization-branding/operations/put-v2-organizations-organization_id-brands-brand_id-resources-general"
type: "endpoint"
section: "organization-branding"
slug: "organization-branding/operations/put-v2-organizations-organization_id-brands-brand_id-resources-general"
method: "PUT"
path: "/v2/organizations/{organization_id}/brands/{brand_id}/resources/general"
operation_id: "put-v2-organizations-organization_id-brands-brand_id-resources-general"
authorization: "bearer"
---

# Create org general brand resource

`PUT /v2/organizations/{organization_id}/brands/{brand_id}/resources/general`

This endpoint allows users to create a general brand resource for an organization. Only an admin or moderator of the organization can perform this action.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `organization_id` | string | Yes | ID of the organization. Must match the pattern: [a-z0-9]{40}. |
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "icons": {
      "type": "object",
      "properties": {
        "color": {
          "type": "string",
          "description": "Text color in HEX color code."
        },
        "border": {
          "type": "string",
          "description": "Border color in HEX color code."
        },
        "background": {
          "type": "string",
          "description": "Background color in HEX color code."
        },
        "hover-color": {
          "type": "string",
          "description": "Text color in HEX color code when the button is hovered over."
        },
        "hover-border": {
          "type": "string",
          "description": "Border color in HEX color code when the button is hovered over."
        },
        "hover-background": {
          "type": "string",
          "description": "Background color in HEX color code when the button is hovered over."
        }
      },
      "description": "Icons object that contains attributes for all icons in the resource."
    },
    "texts": {
      "type": "object",
      "properties": {
        "color": {
          "type": "string",
          "description": "Text color in the HEX color code."
        }
      },
      "description": "Text object that contains attributes for texts in the resource."
    },
    "header": {
      "type": "object",
      "properties": {
        "background": {
          "type": "string",
          "description": "Background color in HEX color code."
        }
      },
      "description": "Header object. Contains attributes for headers."
    },
    "buttons": {
      "type": "object",
      "properties": {
        "default": {
          "type": "object",
          "properties": {
            "color": {
              "type": "string",
              "description": "Text color in HEX color code."
            },
            "border": {
              "type": "string",
              "description": "Border color in HEX color code."
            },
            "background": {
              "type": "string",
              "description": "Background color in HEX color code."
            },
            "hover-color": {
              "type": "string",
              "description": "Text color in HEX color code when the button is hovered over."
            },
            "active-color": {
              "type": "string",
              "description": "Text color in HEX color code when the button is active."
            },
            "hover-border": {
              "type": "string",
              "description": "Border color in HEX color code when the button is hovered over."
            },
            "active-border": {
              "type": "string",
              "description": "Border color in HEX color code when the button is active."
            },
            "hover-background": {
              "type": "string",
              "description": "Background color in HEX color code when the button is hovered over."
            },
            "active-background": {
              "type": "string",
              "description": "Background color in HEX color code when the button is active."
            }
          },
          "description": "Default button object."
        },
        "primary": {
          "type": "object",
          "properties": {
            "color": {
              "type": "string",
              "description": "Text color in HEX color code."
            },
            "border": {
              "type": "string",
              "description": "Border color in HEX color code."
            },
            "background": {
              "type": "string",
              "description": "Background color in HEX color code."
            },
            "hover-color": {
              "type": "string",
              "description": "Text color in HEX color code when the button is hovered over."
            },
            "active-color": {
              "type": "string",
              "description": "Text color in HEX color code when the button is active."
            },
            "hover-border": {
              "type": "string",
              "description": "Border color in HEX color code when the button is hovered over."
            },
            "active-border": {
              "type": "string",
              "description": "Border color in HEX color code when the button is active."
            },
            "hover-background": {
              "type": "string",
              "description": "Background color in HEX color code when the button is hovered over."
            },
            "active-background": {
              "type": "string",
              "description": "Background color in HEX color code when the button is active."
            }
          },
          "description": "Primary button object."
        },
        "dropdown": {
          "type": "object",
          "properties": {
            "color": {
              "type": "string",
              "description": "Text color in HEX color code."
            },
            "border": {
              "type": "string",
              "description": "Border color in HEX color code."
            },
            "background": {
              "type": "string",
              "description": "Background color in HEX color code."
            },
            "hover-color": {
              "type": "string",
              "description": "Text color in HEX color code when the button is hovered over."
            },
            "active-color": {
              "type": "string",
              "description": "Text color in HEX color code when the button is active."
            },
            "hover-border": {
              "type": "string",
              "description": "Border color in HEX color code when the button is hovered over."
            },
            "active-border": {
              "type": "string",
              "description": "Border color in HEX color code when the button is active."
            },
            "hover-background": {
              "type": "string",
              "description": "Background color in HEX color code when the button is hovered over."
            },
            "active-background": {
              "type": "string",
              "description": "Background color in HEX color code when the button is active."
            }
          },
          "description": "Dropdown button object."
        },
        "secondary": {
          "type": "object",
          "properties": {
            "color": {
              "type": "string",
              "description": "Text color in HEX color code."
            },
            "border": {
              "type": "string",
              "description": "Border color in HEX color code."
            },
            "background": {
              "type": "string",
              "description": "Background color in HEX color code."
            },
            "hover-color": {
              "type": "string",
              "description": "Text color in HEX color code when the button is hovered over."
            },
            "active-color": {
              "type": "string",
              "description": "Text color in HEX color code when the button is active."
            },
            "hover-border": {
              "type": "string",
              "description": "Border color in HEX color code when the button is hovered over."
            },
            "active-border": {
              "type": "string",
              "description": "Border color in HEX color code when the button is active."
            },
            "hover-background": {
              "type": "string",
              "description": "Background color in HEX color code when the button is hovered over."
            },
            "active-background": {
              "type": "string",
              "description": "Background color in HEX color code when the button is active."
            }
          },
          "description": "Secondary button object."
        }
      },
      "description": "Button object that contains `primary`, `secondary`, `default`, and `dropdown` button attributes."
    },
    "hyperlink": {
      "type": "object",
      "properties": {
        "color": {
          "type": "string",
          "example": "#546470",
          "description": "Default color of the hyperlink text in HEX color code."
        },
        "hover-color": {
          "type": "string",
          "example": "#667988",
          "description": "Color of the hyperlink text when hovered in HEX color code."
        },
        "active-color": {
          "type": "string",
          "example": "#4b5963",
          "description": "Color of the hyperlink text when clicked in HEX color code."
        }
      },
      "description": "Defines hyperlink colors for default, hover, and active (clicked) states. Available for embedded sending and embedded editor."
    },
    "help-center": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "description": "Whether the button with a link to signNow help center should be visible or not."
        }
      }
    },
    "consent-text": {
      "type": "object",
      "properties": {
        "en": {
          "type": "string",
          "maxLength": 900,
          "description": "Custom consent text in English that can be updated. Placeholder {sender_email} is available."
        },
        "es": {
          "type": "string",
          "maxLength": 900,
          "description": "Custom consent text in Spanish that can be updated. Placeholder {sender_email} is available."
        },
        "fr": {
          "type": "string",
          "maxLength": 900,
          "description": "Custom consent text in French that can be updated. Placeholder {sender_email} is available."
        }
      },
      "description": "Consent text object that contains attributes for consent text that appears when a signer opens the document. Consent text appears if sender is in organization and consent text is enabled for the organization."
    },
    "main-background": {
      "type": "string",
      "description": "Main background color in HEX color code."
    },
    "welcome-message": {
      "type": "object",
      "properties": {
        "body-text": {
          "type": "object",
          "properties": {
            "en": {
              "type": "string",
              "maxLength": 300,
              "description": "Custom welcome message in English that can be updated. Placeholder {sender_email} is available."
            },
            "es": {
              "type": "string",
              "maxLength": 300,
              "description": "Custom welcome message in Spanish that can be updated. Placeholder {sender_email} is available."
            },
            "fr": {
              "type": "string",
              "maxLength": 300,
              "description": "Custom welcome message in French that can be updated. Placeholder {sender_email} is available."
            }
          },
          "description": "Custom welcome message."
        },
        "visibility": {
          "type": "boolean",
          "description": "Whether a welcome message should appear or not."
        },
        "header-text": {
          "type": "object",
          "properties": {
            "en": {
              "type": "string",
              "example": "Hi, {signer_email}",
              "maxLength": 300,
              "description": "Custom header text in English. The placeholder `{signer_email}` is replaced with the recipient's name or email/phone number (for regular documents); name or email (for embedded invites); name or \u201cGuest Signer\u201d (for signing links); and \u201cGuest Signer\u201d (for document group signing links)."
            },
            "es": {
              "type": "string",
              "example": "Hola, {signer_email}",
              "maxLength": 300,
              "description": "Custom header text in Spanish. The placeholder `{signer_email}` is replaced with the recipient's name or email/phone number (for regular documents); name or email (for embedded invites); name or \u201cGuest Signer\u201d (for signing links); and \u201cGuest Signer\u201d (for document group signing links)."
            },
            "fr": {
              "type": "string",
              "example": "Bonjour, {signer_email}",
              "maxLength": 300,
              "description": "Custom header text in French. The placeholder `{signer_email}` is replaced with the recipient's name or email/phone number (for regular documents); name or email (for embedded invites); name or \u201cGuest Signer\u201d (for signing links); and \u201cGuest Signer\u201d (for document group signing links)."
            }
          },
          "description": "Custom text displayed in the welcome message header."
        }
      },
      "description": "Welcome message object that contains attributes for a welcome message that appears when a signer opens the document or clicks the notification icon on the header."
    }
  },
  "x-examples": {
    "Example 1": {
      "icons": {
        "color": "#546470",
        "border": "#ffffff",
        "background": "#ffffff",
        "hover-color": "#546470",
        "hover-border": "#f1f2f4",
        "hover-background": "#f1f2f4"
      },
      "texts": {
        "color": "#2f373e"
      },
      "header": {
        "background": "#ffffff"
      },
      "buttons": {
        "default": {
          "color": "#546470",
          "border": "#ffffff",
          "background": "#ffffff",
          "hover-color": "#546470",
          "active-color": "#546470",
          "hover-border": "#f1f2f4",
          "active-border": "#ffffff",
          "hover-background": "#f1f2f4",
          "active-background": "#ffffff"
        },
        "primary": {
          "color": "#ffffff",
          "border": "#0777cf",
          "background": "#0777cf",
          "hover-color": "#ffffff",
          "active-color": "#ffffff",
          "hover-border": "#348fd7",
          "active-border": "#003458",
          "hover-background": "#348fd7",
          "active-background": "#076dbd"
        },
        "dropdown": {
          "color": "#546470",
          "border": "#ffffff",
          "background": "#ffffff",
          "hover-color": "#546470",
          "active-color": "#546470",
          "hover-border": "#f1f2f4",
          "active-border": "#ffffff",
          "hover-background": "#f1f2f4",
          "active-background": "#ffffff"
        },
        "secondary": {
          "color": "#38424b",
          "border": "#e3e6e9",
          "background": "#e3e6e9",
          "hover-color": "#38424b",
          "active-color": "#38424b",
          "hover-border": "#f1f2f4",
          "active-border": "#d5dade",
          "hover-background": "#f1f2f4",
          "active-background": "#d5dade"
        }
      },
      "hyperlink": {
        "color": "#546470",
        "hover-color": "#667988",
        "active-color": "#4b5963"
      },
      "help-center": {
        "visibility": true
      },
      "consent-text": {
        "en": "{sender_email} has invited you to fill out and sign this in one place.",
        "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.",
        "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."
      },
      "main-background": "#efefef",
      "welcome-message": {
        "body-text": {
          "en": "{sender_email} has invited you to fill out and sign this in one place.",
          "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.",
          "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."
        },
        "visibility": true,
        "header-text": {
          "en": "Hi, {signer_email}",
          "es": "Hola, {signer_email}",
          "fr": "Bonjour, {signer_email}"
        }
      }
    }
  }
}
```

**Example** (`example-1`)

```json
{
  "icons": {
    "color": "#546470",
    "border": "#ffffff",
    "background": "#ffffff",
    "hover-color": "#546470",
    "hover-border": "#f1f2f4",
    "hover-background": "#f1f2f4"
  },
  "texts": {
    "color": "#2f373e"
  },
  "header": {
    "background": "#ffffff"
  },
  "buttons": {
    "default": {
      "color": "#546470",
      "border": "#ffffff",
      "background": "#ffffff",
      "hover-color": "#546470",
      "active-color": "#546470",
      "hover-border": "#f1f2f4",
      "active-border": "#ffffff",
      "hover-background": "#f1f2f4",
      "active-background": "#ffffff"
    },
    "primary": {
      "color": "#ffffff",
      "border": "#0777cf",
      "background": "#0777cf",
      "hover-color": "#ffffff",
      "active-color": "#ffffff",
      "hover-border": "#348fd7",
      "active-border": "#003458",
      "hover-background": "#348fd7",
      "active-background": "#076dbd"
    },
    "dropdown": {
      "color": "#546470",
      "border": "#ffffff",
      "background": "#ffffff",
      "hover-color": "#546470",
      "active-color": "#546470",
      "hover-border": "#f1f2f4",
      "active-border": "#ffffff",
      "hover-background": "#f1f2f4",
      "active-background": "#ffffff"
    },
    "secondary": {
      "color": "#38424b",
      "border": "#e3e6e9",
      "background": "#e3e6e9",
      "hover-color": "#38424b",
      "active-color": "#38424b",
      "hover-border": "#f1f2f4",
      "active-border": "#d5dade",
      "hover-background": "#f1f2f4",
      "active-background": "#d5dade"
    }
  },
  "hyperlink": {
    "color": "#546470",
    "hover-color": "#667988",
    "active-color": "#4b5963"
  },
  "help-center": {
    "visibility": true
  },
  "consent-text": {
    "en": "{sender_email} has invited you to fill out and sign this in one place.",
    "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.",
    "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."
  },
  "main-background": "#efefef",
  "welcome-message": {
    "body-text": {
      "en": "{sender_email} has invited you to fill out and sign this in one place.",
      "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.",
      "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."
    },
    "visibility": true,
    "header-text": {
      "en": "Hi, {signer_email}",
      "es": "Hola, {signer_email}",
      "fr": "Bonjour, {signer_email}"
    }
  }
}
```

## Responses

### 204

Success, no content

### 400

* Incorrect or missing token.
* The request body is empty.
* `background` is not a string.
* `background` is not a HEX color code.
* `color` is not a string.
* `color` is not a HEX color code.
* `border` is not a string.
* `border` is not a HEX color code.
* `hover-background` is not a string.
* `hover-background` is not a HEX color code.
* `hover-color` is not a string.
* `hover-color` is not a HEX color code.
* `hover-border` is not a string.
* `hover-border` is not a HEX color code.
* `active-background` is not a string.
* `active-background` is not a HEX color code.
* `active-color` is not a string.
* `active-color` is not a HEX color code.
* `active-border` is not a string.
* `active-border` is not a HEX color code.
* `main-background` is not a string.
* `consent-text` is not an array.
* `consent-text` value is not a string.
* `welcome-message` is not an array.
* `welcome-message.visibility` value is not a boolean.
* `welcome-message.body-text` is not an array.
* `body-text` value is not a string.
* `help-center` is not an array.
* `help-center.visibility` is not a boolean.
* The `hyperlink` is not an array.
* The `hyperlink.color` is not a string.
* The `hyperlink.color` is not a valid HTML color format.
* The `hyperlink.hover-color` is not a string.
* The `hyperlink.hover-color` is not a valid HTML color format.
* The `hyperlink.active-color` is not a string.
* The `hyperlink.active-color` is not a valid HTML color format.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 25002002,
      "message": "Invalid payload given."
    }
  ]
}
```

**Example** (`Empty body`)

```json
{
  "errors": [
    {
      "code": 25002002,
      "message": "Invalid payload given."
    }
  ]
}
```

**Example** (`color not string`)

```json
{
  "errors": [
    {
      "code": 25002006,
      "message": "The 'color' attribute must be a string"
    }
  ]
}
```

**Example** (`border not string`)

```json
{
  "errors": [
    {
      "code": 25002008,
      "message": "The 'border' attribute must be a string"
    }
  ]
}
```

**Example** (`hyperlink not array`)

```json
{
  "errors": [
    {
      "code": 25002322,
      "message": "The 'hyperlink' attribute must be an array"
    }
  ]
}
```

**Example** (`background not string`)

```json
{
  "errors": [
    {
      "code": 25002004,
      "message": "The 'background' attribute must be a string"
    }
  ]
}
```

**Example** (`hover-color not string`)

```json
{
  "errors": [
    {
      "code": 25002012,
      "message": "The 'hover-color' attribute must be a string"
    }
  ]
}
```

**Example** (`active-color not string`)

```json
{
  "errors": [
    {
      "code": 25002039,
      "message": "The 'active-color' attribute must be a string"
    }
  ]
}
```

**Example** (`hover-border not string`)

```json
{
  "errors": [
    {
      "code": 25002014,
      "message": "The 'hover-border' attribute must be a string"
    }
  ]
}
```

**Example** (`color not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002007,
      "message": "The 'color' attribute format is invalid"
    }
  ]
}
```

**Example** (`help-center not an array`)

```json
{
  "errors": [
    {
      "code": 25002205,
      "message": "The `help-center` field must be an array."
    }
  ]
}
```

**Example** (`active-border  not string`)

```json
{
  "errors": [
    {
      "code": 25002041,
      "message": "The 'active-border' attribute must be a string"
    }
  ]
}
```

**Example** (`border not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002009,
      "message": "The 'border' attribute format is invalid"
    }
  ]
}
```

**Example** (`consent-text not an array`)

```json
{
  "errors": [
    {
      "code": 25002191,
      "message": "The `consent-text` attribute must be an array."
    }
  ]
}
```

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`hyperlink.color not string`)

```json
{
  "errors": [
    {
      "code": 25002323,
      "message": "The 'color' attribute must be a string"
    }
  ]
}
```

**Example** (`hover-background not string`)

```json
{
  "errors": [
    {
      "code": 25002010,
      "message": "The 'hover-background' attribute must be a string"
    }
  ]
}
```

**Example** (`active-background not string`)

```json
{
  "errors": [
    {
      "code": 25002037,
      "message": "The 'active-background' attribute must be a string"
    }
  ]
}
```

**Example** (`body-text value not a string`)

```json
{
  "errors": [
    {
      "code": 25002199,
      "message": "The `welcome-message.body-text.en` must be a string."
    }
  ]
}
```

**Example** (`main-background not a string`)

```json
{
  "errors": [
    {
      "code": 25002143,
      "message": "The 'main-background' field must be a string."
    }
  ]
}
```

**Example** (`welcome-message not an array`)

```json
{
  "errors": [
    {
      "code": 25002196,
      "message": "The `welcome-message` field must be an array."
    }
  ]
}
```

**Example** (`background not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002005,
      "message": "The 'background' attribute format is invalid"
    }
  ]
}
```

**Example** (`hover-color not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002013,
      "message": "The 'hover-color' attribute format is invalid"
    }
  ]
}
```

**Example** (`active-color not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002040,
      "message": "The 'active-color' attribute format is invalid"
    }
  ]
}
```

**Example** (`consent-text value not a string`)

```json
{
  "errors": [
    {
      "code": 25002192,
      "message": "The `consent-text.en` attribute must be a string."
    }
  ]
}
```

**Example** (`hover-border not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002015,
      "message": "The 'hover-border' attribute format is invalid"
    }
  ]
}
```

**Example** (`active-border not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002042,
      "message": "The 'active-border' attribute format is invalid"
    }
  ]
}
```

**Example** (`hyperlink.active-color not valid`)

```json
{
  "errors": [
    {
      "code": 25002328,
      "message": "The 'active-color' attribute must contain a valid HTML color format"
    }
  ]
}
```

**Example** (`hyperlink.color format incorrect`)

```json
{
  "errors": [
    {
      "code": 25002324,
      "message": "The 'color' attribute must contain a valid HTML color format"
    }
  ]
}
```

**Example** (`hyperlink.hover-color not string`)

```json
{
  "errors": [
    {
      "code": 25002325,
      "message": "The 'hover-color' attribute must be a string"
    }
  ]
}
```

**Example** (`help-center.visibility not a bool`)

```json
{
  "errors": [
    {
      "code": 25002206,
      "message": "The `help-center.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`hyperlink.active-color not string`)

```json
{
  "errors": [
    {
      "code": 25002327,
      "message": "The 'active-color' attribute must be a string"
    }
  ]
}
```

**Example** (`hover-background not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002011,
      "message": "The 'hover-background' attribute format is invalid"
    }
  ]
}
```

**Example** (`active-background not HEX color code`)

```json
{
  "errors": [
    {
      "code": 25002038,
      "message": "The 'active-background' attribute format is invalid"
    }
  ]
}
```

**Example** (`welcome-message.visibility not a bool`)

```json
{
  "errors": [
    {
      "code": 25002197,
      "message": "The `welcome-message.visibility` must be a boolean."
    }
  ]
}
```

**Example** (`hyperlink.hover-color format incorrect`)

```json
{
  "errors": [
    {
      "code": 25002326,
      "message": "The 'hover-color' attribute must contain a valid HTML color format"
    }
  ]
}
```

**Example** (`welcome-message.body-text not an array`)

```json
{
  "errors": [
    {
      "code": 25002198,
      "message": "The `welcome-message.body-text` must be an array."
    }
  ]
}
```

### 403

* The user is authorized with a token from an app they don’t own.
* The user is neither admin, nor moderator of the organization.
* The brand exists but it is not an organization brand.


**Example** (`Example 1`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed"
}
```

**Example** (`Non-organization brand`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed"
}
```

**Example** (`User not admin or moderator`)

```json
{
  "code": 25006002,
  "message": "Insufficient organization rights."
}
```

### 404

* The organization is not found.
* The brand is not found.
* `brand_id` cannot be null.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 25006001,
      "message": "Organization not found."
    }
  ]
}
```

**Example** (`Brand not found`)

```json
{
  "errors": [
    {
      "code": 25002016,
      "message": "Brand not found."
    }
  ]
}
```

**Example** (`brand_id is null`)

```json
{
  "404": "Unable to find a route to match the URI: /v2/organizations/3d73e416095d4734a0e0d8bce4bd33f7b44b7585/brands/resources/general"
}
```

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 25006001,
      "message": "Organization not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/organizations/{organization_id}/brands/{brand_id}/resources/general" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"icons": {"color": "#546470", "border": "#ffffff", "background": "#ffffff", "hover-color": "#546470", "hover-border": "#f1f2f4", "hover-background": "#f1f2f4"}, "texts": {"color": "#2f373e"}, "header": {"background": "#ffffff"}, "buttons": {"default": {"color": "#546470", "border": "#ffffff", "background": "#ffffff", "hover-color": "#546470", "active-color": "#546470", "hover-border": "#f1f2f4", "active-border": "#ffffff", "hover-background": "#f1f2f4", "active-background": "#ffffff"}, "primary": {"color": "#ffffff", "border": "#0777cf", "background": "#0777cf", "hover-color": "#ffffff", "active-color": "#ffffff", "hover-border": "#348fd7", "active-border": "#003458", "hover-background": "#348fd7", "active-background": "#076dbd"}, "dropdown": {"color": "#546470", "border": "#ffffff", "background": "#ffffff", "hover-color": "#546470", "active-color": "#546470", "hover-border": "#f1f2f4", "active-border": "#ffffff", "hover-background": "#f1f2f4", "active-background": "#ffffff"}, "secondary": {"color": "#38424b", "border": "#e3e6e9", "background": "#e3e6e9", "hover-color": "#38424b", "active-color": "#38424b", "hover-border": "#f1f2f4", "active-border": "#d5dade", "hover-background": "#f1f2f4", "active-background": "#d5dade"}}, "hyperlink": {"color": "#546470", "hover-color": "#667988", "active-color": "#4b5963"}, "help-center": {"visibility": true}, "consent-text": {"en": "{sender_email} has invited you to fill out and sign this in one place.", "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.", "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."}, "main-background": "#efefef", "welcome-message": {"body-text": {"en": "{sender_email} has invited you to fill out and sign this in one place.", "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.", "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."}, "visibility": true, "header-text": {"en": "Hi, {signer_email}", "es": "Hola, {signer_email}", "fr": "Bonjour, {signer_email}"}}}'
```

---
*Full reference: https://docs.signnow.com/docs/organization-branding/operations/put-v2-organizations-organization_id-brands-brand_id-resources-general*
